Commit 4b7e460a authored by Heiko Becker's avatar Heiko Becker 🏃
Browse files

[build] Drop obsolete version condition

kdf already depends on KDE Frameworks >= 5.70.
parent a1b2aa9d
......@@ -56,12 +56,11 @@ find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
XmlGui
)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(
-DQT_NO_FOREACH
-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
if (KF5ConfigWidgets_VERSION VERSION_GREATER "5.56.0")
add_definitions(-DQT_NO_FOREACH)
MESSAGE(STATUS "compile without foreach")
endif()
add_subdirectory(desktop)
add_subdirectory(doc)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment